package org.objectweb.fractal.bf.connectors.upnp;

import java.util.Map;

import org.objectweb.fractal.bf.connectors.common.AbstractConnector;

public class UPnPConnector extends AbstractConnector<UPnPExportHints, UPnPBindHints> {

	@Override
	protected String getSkeletonAdl() {
		return "org.objectweb.fractal.bf.connectors.upnp.UPnPSkeleton";
	}

	@Override
	protected String getStubAdl() {
		return "org.objectweb.fractal.bf.connectors.upnp.UPnPStub";
	}

	public String getPluginIdentifier() {
		return "upnp";
	}

	@Override
	protected void initSkeletonAdlContext(UPnPExportHints exportHints,
			Map<String, Object> context) {
		
		String type = exportHints.getType();
		
		if (type==null)
			type = UPnPConnectorConstants.NO_TYPE;

		context.put(UPnPConnectorConstants.TYPE, type);
	}

	@Override
	protected void initStubAdlContext(UPnPBindHints bindHints,
			Map<String, Object> context) {
		
		generateStubContentClass(UPnPStubContent.class, context);
		
		String type = bindHints.getType();
		
		if (type==null)
			type = UPnPConnectorConstants.NO_TYPE;

		context.put(UPnPConnectorConstants.TYPE, type);
	}	

	public UPnPBindHints getBindHints(Map<String, Object> initialHints) {
		UPnPBindHints upnpHints = new UPnPBindHints();
		upnpHints.setType((String) initialHints
				.get(UPnPConnectorConstants.TYPE));
		log.fine("UPnPExportHints: " + upnpHints);
		return upnpHints;
	}

	public UPnPExportHints getExportHints(Map<String, Object> initialHints) {
		UPnPExportHints upnpHints = new UPnPExportHints();
		upnpHints.setType((String) initialHints
				.get(UPnPConnectorConstants.TYPE));
		log.fine("UPnPExportHints: " + upnpHints);
		return upnpHints;
	}

}
