/**
 * Fractal Binding Factory.
 * Copyright (C) 2010 INRIA, ADAM

 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: remi.melisson@inria.fr
 * 
 * Author: Rémi Mélisson
 * 
 */
package org.objectweb.fractal.bf.connectors.upnp.param;

import org.objectweb.fractal.bf.connectors.common.StubContentAttributes;

/**
 * Attribute controller for URI-based stubs.
 *
 * @author Rémi Mélisson
 */
public interface ParamStubContentAttributes extends StubContentAttributes {
	
	/**
	 * Get the simple type of the device.
	 * 
	 * @return the simple type of the device.
	 */
	public String getType();

	/**
	 * Set the simple type of the device.
	 * 
	 * @param type the simple type of the device.
	 */
	public void setType(String type);
}
